Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[erledigt] layman python Problem
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Beastly
n00b
n00b


Joined: 09 Feb 2015
Posts: 2

PostPosted: Mon Feb 09, 2015 10:59 am    Post subject: [erledigt] layman python Problem Reply with quote

Hallo

Ich wollte mit layman ein chatclient laden und bekomme diese Ausgabe

Code:
# layman -l

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/layman/dbbase.py", line 157, in read
    document = ET.fromstring(text)                                                                                   
  File "/usr/lib64/python3.4/xml/etree/ElementTree.py", line 1326, in XML                                           
    return parser.close()                                                                                           
xml.etree.ElementTree.ParseError: no element found: line 1, column 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.4/layman", line 45, in <module>
    main()
  File "/usr/lib64/python3.4/site-packages/layman/cli.py", line 197, in __call__
    result += getattr(self, action[1])()
  File "/usr/lib64/python3.4/site-packages/layman/cli.py", line 388, in ListLocal
    width=list_printer.width)
  File "/usr/lib64/python3.4/site-packages/layman/api.py", line 364, in get_info_list
    return self._get_installed_db().list(verbose=verbose, width=width)
  File "/usr/lib64/python3.4/site-packages/layman/api.py", line 585, in _get_installed_db
    self._installed_db = DB(self.config)
  File "/usr/lib64/python3.4/site-packages/layman/db.py", line 62, in __init__
    ignore=ignore,
  File "/usr/lib64/python3.4/site-packages/layman/dbbase.py", line 111, in __init__
    self.read_file(path)
  File "/usr/lib64/python3.4/site-packages/layman/dbbase.py", line 143, in read_file
    self.read(document, origin=path)
  File "/usr/lib64/python3.4/site-packages/layman/dbbase.py", line 158, in read
    except xml.parsers.expat.ExpatError as error:
AttributeError: 'module' object has no attribute 'parsers'


Ich habe schon versucht layman und python neu zu installieren, python-updater gestartet und nix hat geholfen.
Kennt einer dieses Problem und evetnuell einen Lösungsansatz/weg?


Last edited by Beastly on Thu Feb 19, 2015 9:58 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3717
Location: Germany

PostPosted: Wed Feb 18, 2015 11:18 pm    Post subject: Reply with quote

Vermutlich wurde das Problem inzwischen mit einer Neuinstallation umgangen.
http://www.gentooforum.de/artikel/21947/failed-to-fetch-overlay-list.html#post153710

Beastly,
es wäre nett wenn du deine Crosspostings mit aktualisieren würdest, das macht es für alle einfacher.
Danke
Back to top
View user's profile Send private message
Beastly
n00b
n00b


Joined: 09 Feb 2015
Posts: 2

PostPosted: Thu Feb 19, 2015 9:59 am    Post subject: Reply with quote

Josef.95 wrote:

Beastly,
es wäre nett wenn du deine Crosspostings mit aktualisieren würdest, das macht es für alle einfacher.
Danke


Oh, Schuldigung, war keine Absicht, hatte ich vergessen zu machen, sorry.
Ja wurde durch neuinstall behoben und läuft nun wie es soll ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum